function F = computeFbeta( pre, rec, beta )
% computeFbeta - compute F meassure
%
% Usage:    F = computeFbeta( pre, rec, beta )
%
% input:
%   pre   - precision, scalar or vector
%   rec   - recall, scalar or vector
%   beta  - parameter for F measure, scalar or vector
%
% output:
%   F     - F measure
%
% Copyright (c) 2011-2011 Morimichi Nishigaki
% Department of Computer Science
% The University of Maryland
% http://www.cs.umd.edu/
% 
% Permission is hereby granted, free of charge, to any person obtaining a copy
% of this software and associated documentation files (the "Software"), to deal
% in the Software without restriction, subject to the following conditions:
% 
% The above copyright notice and this permission notice shall be included in 
% all copies or substantial portions of the Software.
%
% The Software is provided "as is", without warranty of any kind.

    if nargin < 3
        beta = 1;
    end
    
    F = (1+beta.^2) .* pre.*rec ./ ( beta.^2 .* pre + rec );
end
