function oimg = overlayAttention( img, map )
% Copyright (c) 2011-2011 Morimichi Nishigaki
% Department of Computer Science
% The University of Maryland
% http://www.cs.umd.edu/

    rng = [min(map(:)), max(map(:))];
    cmap = jet(256);
    
    szMap = size(map);

    img = double(img)/255.0;

    szCMap = size(cmap);
    
    % normalized map
    nmap = min( 1, max( 0, (map-rng(1))./(rng(2)-rng(1)) ) );
    
    % color index map
    imap = nmap .* (szCMap(1)-1) + 1; 
   
    % color coded map to overlay
    omap = reshape( interp2( 1:3, 1:szCMap(1), cmap, 1:3, imap(:) ), [szMap,3] );

    % blending ratio
    rat = repmat( nmap, [1,1,3] );
    
    % overlaied image
    oimg = (1-rat).*img + rat .* omap;
    
    % copy original image for NaN
    msk = isnan(oimg);
    oimg(msk) = img(msk);
