function plotPR( rec, pre, F )
% plotPR - plot precision recall curve
%
% Usage:    plotPR( rec, pre, F )
%
% input:
%   rec   - recall
%   pre   - precision
%   F     - F measure
%
% Copyright (c) 2011-2011 Morimichi Nishigaki
% Department of Computer Science
% The University of Maryland
% http://www.cs.umd.edu/
% 
% Permission is hereby granted, free of charge, to any person obtaining a copy
% of this software and associated documentation files (the "Software"), to deal
% in the Software without restriction, subject to the following conditions:
% 
% The above copyright notice and this permission notice shall be included in 
% all copies or substantial portions of the Software.
%
% The Software is provided "as is", without warranty of any kind.

    plot( rec, pre );
    if exist( 'F', 'var' )==1
        p = find( F==max(F) );
        hold on
        plot( rec(p), pre(p), 'r.', 'MarkerSize', 7 );
        hold off
        text( 0.5, 0.95, sprintf( 'F=%5.3f', max(F) ) );
    end
    axis equal
    axis( [0,1,0,1] );
